close all
clearvars
clc

% folder with figures
folder='XXXXXXXXXXX/'; % write the absolute path of the folder with your figures which should end with /
cd(folder)

% name figure
name_fig='XXXXX'; % name of the figure must be your surname followed by a number (e.g. Bois_1 then Bois_2 etc.)
extension='XXXXX'; % extension can be .jpg or .png
id_fig=[name_fig extension]; % this should be something like 'Bois_1.png'

%load an image and display it in figure 1
fig_rgb = imread([folder id_fig ]);

% transform it to double
fig_rgb=double(fig_rgb);

% normalize the intensities in the range [0,1]
fig_rgb=fig_rgb/255;

% rescale (interpolate) image with bilinear method
fig_rgb = imresize(fig_rgb,[570 520],'bilinear');

figure(1)
imshow(fig_rgb);
truesize

% Select Landmarks
found=0;
prompt = 'Have you already selected the landmarks ? [y,n]\n';
while found==0
    str = input(prompt,'s');
    if strcmpi(str,'n')
        [x_landmarks,y_landmarks] = ginput(22);
        landmarks=[x_landmarks y_landmarks];
        save(['landmarks_' name_fig],'landmarks','-v7.3');
        found=1;
    elseif strcmpi(str,'y')
        load(['landmarks_' name_fig]);
        found=1;
    else
        disp('Please write either y or n')
    end
end

% convert to gray scale using standard PAL and NTSC coding
fig_gray = 0.2989 * fig_rgb(:,:,1) + 0.5870 * fig_rgb(:,:,2) + 0.1140 * fig_rgb(:,:,3); 

% Plot grayscale image with landmarks
figure(2)
imshow(fig_gray);
hold on
% truesize
plot(landmarks(:,1),landmarks(:,2),'r+', 'MarkerSize', 30)
names={'1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22'};
for i=1:22
    text(landmarks(i,1),landmarks(i,2),names(i),'FontSize',14,'Color','y') 
end

% write gray scale image
imwrite(fig_gray,[name_fig '_gray.jpg'],'jpg');
